チケット #522 (closed 新機能・拡張: fixed)

登録: 12 年 前

最終更新: 11 年 前

ImJson オブジェクトの追加

報告者: shinomiya 担当者: shinomiya
優先度: major マイルストーン: 0.1.2
コンポーネント: im-jssp バージョン: 0.1.2
キーワード: 関係者:

チケットの概要

概要

戻り値関数名説明
static Object parseJSON(String jsonString) JSON 文字列からJavaScriptオブジェクトに変換します。
static String toJSONString (Object value [,Boolean debugFlg]) JSON 文字列に変換します。
static Boolean checkJSONString (String jsonString) JSON 文字列の妥当性をチェックします。

チケットの履歴

2007/09/25 19:43:32 更新者:shinomiya

  • ステータスnew から closed に更新されました。
  • 解決方法fixed に更新されました。

CSJS用 および ServerSideJS用のAPI「ImJson?」を追加しました。
チェンジセット[107][108]

2007/09/25 19:50:18 更新者:shinomiya

設定ファイルの差分を反映 チェンジセット[109][110]

2007/09/25 19:55:08 更新者:shinomiya

グローバル関数「isJavaInstance」の追加
チェンジセット[111]

2007/09/28 13:28:07 更新者:shinomiya

  • ステータスclosed から reopened に更新されました。
  • 解決方法 が削除されました。

APIリスト用ダミークラスを作成する必要があります。

2007/09/28 13:29:16 更新者:shinomiya

  • テストケースのコミット(CSJS & SSJS)

2007/09/28 16:20:09 更新者:shinomiya

APIリスト用ダミークラスを作成
チェンジセット [125]

2008/04/15 21:14:42 更新者:shinomiya

ImJson#toJSONString?(value, true)のvalueが、「org.intra_mart.jssp.util.JavaScriptUtility?」クラスを利用してJavaBean?から変換されたJSオブジェクトだった場合、変換元のJavaBean?のクラス名の情報を出力する機能を追加。

[212], [213], [221], [222]

表示例

========== 1 ==========
/* Object <JavaScriptUtilityTestModelA> */
{
    /* String */
    "valueWrapperStringModelA" : "prop_valueWrapperStringModelA", 

    /* Number */
    "valueWrapperNumberModelA" : 123,

    /* Boolean */
    "valueWrapperBooleanModelA" : true, 

    /* Date (Thu Jun 19 2008 12:34:56 GMT+0900 (JST)) */
    "valueWrapperDateModelA" : new Date(1213846496000), 

    /* Null <JavaScriptUtilityTestModelA> */
    "modelA" : null, 

    /* Object <JavaScriptUtilityTestModelB> */
    "modelB" : {
        /* Null <JavaScriptUtilityTestModelA> */
        "modelA" : null, 

        /* Array <JavaScriptUtilityTestModelA[]> */
        "modelArrayA" : [
            
        ]
    }, 

    /* Array <JavaScriptUtilityTestModelA[]> */
    "modelArrayA" : [
        
    ], 

    /* Array <JavaScriptUtilityTestModelB[]> */
    "modelArrayB" : [
        
    ]
}

2008/09/03 19:21:42 更新者:shinomiya

[313] テストケースをコミット

ただし、Signal Redです。。。(∵プロパティの取得順を厳密に判定しているテストケースであるため)

2008/09/04 00:22:49 更新者:shinomiya

メモ:CSJS版im_json.jsのテストケースもコミットしましょう。

2008/09/04 21:16:36 更新者:shinomiya

CSJSのテストケースをコミットしました。[316][315]

ただし、FireFox?でしか動作しません。
(∵テストケースを外部JSとすると、IE,Safari,Chrome でテストが実行できません。。。)

#545 にチケット登録しました。

【テストケースを実行する簡単な方法】

  • (1) im-jssp-sample をダウンロード&デプロイ&サーバ起動。
  • (2) Antのビルドファイル「im-jssp/src/test/assembly/copy.xml」の「context.root」と「src.dir」を設定し、Antを実行
  • (3) 以下にアクセス!
    http://localhost:8080/im-jssp-sample-x.x.x/jsunit/testRunner.html?testpage=localhost:8080/im-jssp-sample-x.x.x/csjs/im_json_test.html
    

2008/09/05 14:47:38 更新者:shinomiya

  • ステータスreopened から closed に更新されました。
  • 解決方法fixed に更新されました。

[323] SSJSのテストケースを修正。JavaScript?では、プロパティ定義順番は不定であることの対応。 ただし、Debug.console()関連のテストは、期待値文字列の順番を入れ替えただけです。。。 (∵プロパティの順不同かつ型名が正しいことを確認する良い方法が思いつかなかったため)

2008/09/05 14:55:27 更新者:shinomiya

  • コンポーネントim-jssp-extention から im-jssp に更新されました。